.StateButton {
    display: flex;
    position: relative;
    border: 1px solid;
    border-radius: 20px;
    font-size: 14px;
}

.StateButton .label {
    flex: 1 1;
    padding: 2px 6px;
    margin: 0 auto;
    text-align: center;
    padding-left: 10px;
}

.StateButton .dropdown {
    width: 30px;
    padding: 2px 0;
    border-left: 1px solid;
    overflow: hidden;
    border-color: black;
    background-image: url(../../../images/icons/chevron_down_thin.svg);
    background-repeat: no-repeat;
    background-position: center;
}

.StateButton.change .dropdown {
    filter: invert(65%) sepia(81%) saturate(4717%) hue-rotate(360deg) brightness(101%) contrast(107%);
}

.StateButton.confirm .dropdown {
    filter: invert(27%) sepia(79%) saturate(1910%) hue-rotate(145deg) brightness(100%) contrast(98%);
}

.StateButton.delete .dropdown {
    filter: invert(9%) sepia(84%) saturate(4089%) hue-rotate(356deg) brightness(97%) contrast(95%);
}

.StateButton.muted .dropdown {
    filter: invert(79%) sepia(5%) saturate(7%) hue-rotate(350deg) brightness(98%) contrast(101%);
}

.StateButton.other {
    background-color: rgba(238, 219, 0, 0.25);
    color: rgb(12, 12, 12);
    border-color: rgb(192, 192, 120);

}

.StateButton.other .dropdown {
    filter: invert(91%) sepia(46%) saturate(490%) hue-rotate(359deg) brightness(83%) contrast(92%);
}

.StateButton:hover {
    cursor: pointer;
}

.StateButton.change {
    background-color: rgba(255, 117, 0, 0.1);
    color: rgba(255, 117, 0, 1);
    border-color: rgba(255, 117, 0, 1);
}

.StateButton.confirm {
    background-color: rgba(21, 214, 132, 0.5);
    color: rgb(3, 140, 101);
    border-color: rgb(3, 140, 101);
}

.StateButton.delete {
    background-color: rgba(235, 87, 87, 0.25);
    color: rgb(140, 12, 12);
    border-color: rgb(140, 12, 12);
}

.StateButton.muted {
    background-color: rgba(87, 87, 87, 0.05);
    color: rgb(12, 12, 12);
    border-color: rgb(200, 200, 200);
}

.StateButton.opened .list{
    z-index: 9;
    top: 23px;
    display: block;
    width: 100%;
    background-color: white;
}

.StateButton .list {
    display: none;
    position: absolute;
    border-radius: 20px;
    border: 1px solid gray;
    overflow: hidden;
}

.StateButton .listitem {
    font-size: 14px;
    padding: 5px 20px;

    white-space: nowrap;
}

.StateButton .listitem.disabled {
    cursor: default;
    font-weight: bold;
}

.StateButton .listitem:hover {
    background-color: #F9F9F9;
}

.StateButton .listitem.change {
    color: rgba(255, 117, 0, 1);
}

.StateButton .listitem.confirm {
    color: rgb(3, 140, 101);
}

.StateButton .listitem.delete {
    color: rgb(140, 12, 12);
}

.StateButton .listitem.muted {
    color: rgb(12, 12, 12);
}

.StateButton .listitem.other {
    color: rgb(12, 12, 12);
}

.StateButton .listitem.selected.muted {
    background-color: rgba(200, 200, 200, 0.3);
    font-weight: bold;
}

.StateButton .listitem.selected.other {
    background-color: rgba(200, 200, 200, 0.3);
}
